Available in Classic and VPC
Enable the automatic certificate renewal feature.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /certificate/setCertificateRenewal |
Request headers
For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateNo |
Int | required | Certificate number |
renewalYn |
String | required | Automatic renewal settings
|
Request example
The request example is as follows:
curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
"certificateNo": 12345,
"renewalYn": "Y"
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalRows |
Integer | - | Total number of lists searched |
Response status codes
For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalRows": 0
}